GLS ShipIT 4.0.f7 GLS ShipIT - SOAP services

Public Member Functions | Static Public Attributes | List of all members
eu.gls_group.fpcs.v1.shipmentprocessing.CouldNotTransmitShipmentsMessage Class Reference
Inheritance diagram for eu.gls_group.fpcs.v1.shipmentprocessing.CouldNotTransmitShipmentsMessage:

## Public Member Functions
| CouldNotTransmitShipmentsMessage ()
| CouldNotTransmitShipmentsMessage (String message)
| CouldNotTransmitShipmentsMessage (String message, java.lang.Throwable cause)
| CouldNotTransmitShipmentsMessage (String message, eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.CouldNotTransmitShipmentsFault couldNotTransmitShipmentsFault)
| CouldNotTransmitShipmentsMessage (String message, eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.CouldNotTransmitShipmentsFault couldNotTransmitShipmentsFault, java.lang.Throwable cause)
eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.CouldNotTransmitShipmentsFault | getFaultInfo ()

## Static Public Attributes
static final long | serialVersionUID = -994681612L

## Detailed Description

This class was generated by Apache CXF 3.4.7 Generated source version: 3.4.7

Definition at line 14 of file CouldNotTransmitShipmentsMessage.java.

## Constructor & Destructor Documentation

## ◆ CouldNotTransmitShipmentsMessage() [1/5]

eu.gls_group.fpcs.v1.shipmentprocessing.CouldNotTransmitShipmentsMessage.CouldNotTransmitShipmentsMessage | ( |  | ) |

Definition at line 19 of file CouldNotTransmitShipmentsMessage.java.

## ◆ CouldNotTransmitShipmentsMessage() [2/5]

eu.gls_group.fpcs.v1.shipmentprocessing.CouldNotTransmitShipmentsMessage.CouldNotTransmitShipmentsMessage | ( | String | message | ) |

Definition at line 23 of file CouldNotTransmitShipmentsMessage.java.

## ◆ CouldNotTransmitShipmentsMessage() [3/5]

eu.gls_group.fpcs.v1.shipmentprocessing.CouldNotTransmitShipmentsMessage.CouldNotTransmitShipmentsMessage | ( | String | message,
|  | java.lang.Throwable | cause
| ) |  |

Definition at line 27 of file CouldNotTransmitShipmentsMessage.java.

## ◆ CouldNotTransmitShipmentsMessage() [4/5]

eu.gls_group.fpcs.v1.shipmentprocessing.CouldNotTransmitShipmentsMessage.CouldNotTransmitShipmentsMessage | ( | String | message,
|  | eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.CouldNotTransmitShipmentsFault | couldNotTransmitShipmentsFault
| ) |  |

Definition at line 31 of file CouldNotTransmitShipmentsMessage.java.

## ◆ CouldNotTransmitShipmentsMessage() [5/5]

eu.gls_group.fpcs.v1.shipmentprocessing.CouldNotTransmitShipmentsMessage.CouldNotTransmitShipmentsMessage | ( | String | message,
|  | eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.CouldNotTransmitShipmentsFault | couldNotTransmitShipmentsFault,
|  | java.lang.Throwable | cause
| ) |  |

Definition at line 36 of file CouldNotTransmitShipmentsMessage.java.

## Member Function Documentation

## ◆ getFaultInfo()

eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.CouldNotTransmitShipmentsFault eu.gls_group.fpcs.v1.shipmentprocessing.CouldNotTransmitShipmentsMessage.getFaultInfo | ( |  | ) |

Definition at line 41 of file CouldNotTransmitShipmentsMessage.java.

## Member Data Documentation

## ◆ serialVersionUID

final long eu.gls_group.fpcs.v1.shipmentprocessing.CouldNotTransmitShipmentsMessage.serialVersionUID = -994681612L
| static

Definition at line 15 of file CouldNotTransmitShipmentsMessage.java.

The documentation for this class was generated from the following file:

- CouldNotTransmitShipmentsMessage.java